Question Check required firmware for NSP game updates?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by Thandor, Aug 5, 2018.

  1. Thandor
    OP

    Thandor GBAtemp Regular

    Member
    3
    Jul 29, 2018
    Germany
    Using 4.1.0 and thinking about updating my games to a newer/latest update to get bug fixed or new features. Is there a way to check a NSP which system feature is needed? I came across a few titles that require a 5.x.x firmware, like Mario Tennis Aces. But with CDNSP I can download older patches if there are more than one for a game, but how can I see which one would be the last that works on 4.1.0?
     
  2. PrixM

    PrixM GBAtemp Regular

    Member
    3
    Apr 14, 2009
    Germany
    You can use many tools
    XCI Explorer or Switch.Backup.Manager .... to get the masterkey revision/needed FW version Masterkey 4 =FW5
     
  3. Thandor
    OP

    Thandor GBAtemp Regular

    Member
    3
    Jul 29, 2018
    Germany
    Unfortunately that is not working correctly. For example, both programs show MasterKey3 (4.0.0-4.1.0) for the latest Mario Tennis Aces Update, but the game is asking for a system update and needs higher than 4.1.0.
     
  4. Garou

    Garou GBAtemp Maniac

    Member
    6
    Jan 13, 2015
    you're in luck. I've just finished doing that feature to Switch Backup Manager

    sbm.PNG

    I've already submitted a pull request to the main repo, but in the mean time if you want to build it yourself feel free to get it here https://github.com/garoxas/Switch-Backup-Manager
     
    BulleT2k and Thandor like this.
Loading...